# FormBlockDamageAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class FormBlockDamageAbAttr

Takes no damage from the first hit of a damaging move. This is used in the Disguise and Ice Face abilities.

#### Hierarchy (View Summary)

- ReceivedMoveDamageMultiplierAbAttr
  - FormBlockDamageAbAttr

- Defined in src/data/ability.ts:5135

##### Index

### Constructors

constructor

### Properties

condition
showAbility

### Methods

addCondition
apply
applyPreDefend
canApply
canApplyPreDefend
getCondition
getTriggerMessage

## Constructors

### constructor

- new FormBlockDamageAbAttr(
  condition: PokemonDefendCondition,
  multiplier: number,
  tagType: BattlerTagType ,
  triggerMessageFunc: (pokemon: default , abilityName: string) => string,
  recoilDamageFunc?: (pokemon: default ) => number,
  ): FormBlockDamageAbAttr

  #### Parameters

  - condition: PokemonDefendCondition
  - multiplier: number
  - tagType: BattlerTagType
  - triggerMessageFunc: (pokemon: default , abilityName: string) => string
  - `Optional` recoilDamageFunc: (pokemon: default ) => number

  #### Returns FormBlockDamageAbAttr

  Overrides ReceivedMoveDamageMultiplierAbAttr.constructor

  - Defined in src/data/ability.ts:5141

## Properties

### `Protected` condition

condition: PokemonDefendCondition

Inherited from ReceivedMoveDamageMultiplierAbAttr.condition

- Defined in src/data/ability.ts:434

### showAbility

showAbility: boolean

Inherited from ReceivedMoveDamageMultiplierAbAttr.showAbility

- Defined in src/data/ability.ts:184

## Methods

### addCondition

- addCondition(condition: AbAttrCondition): AbAttr

  #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from ReceivedMoveDamageMultiplierAbAttr.addCondition

  - Defined in src/data/ability.ts:209

### apply

- apply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  cancelled: null | BooleanHolder ,
  args: any[],
  ): void

  Applies ability effects without checking conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - cancelled: null | BooleanHolder
  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns void

  #### See

  `canApply`

  Inherited from ReceivedMoveDamageMultiplierAbAttr.apply

  - Defined in src/data/ability.ts:199

### applyPreDefend

- applyPreDefend(
  pokemon: default ,
  _passive: boolean,
  simulated: boolean,
  attacker: default ,
  move: default ,
  _cancelled: BooleanHolder ,
  args: any[],
  ): void

  Applies the pre-defense ability to the Pokémon. Removes the appropriate `BattlerTagType` when hit by an attack and is in its defense form.

  #### Parameters

  - pokemon: default

    The Pokémon with the ability.

  - _passive: boolean

    n/a

  - simulated: boolean
  - attacker: default

    The attacking Pokémon.

  - move: default

    The move being used.

  - _cancelled: BooleanHolder

    n/a

  - args: any[]

    Additional arguments.

  #### Returns void

  Overrides ReceivedMoveDamageMultiplierAbAttr.applyPreDefend

  - Defined in src/data/ability.ts:5165

### canApply

- canApply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  args: any[],
  ): boolean

  Returns a boolean describing whether the ability can be applied under current conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns boolean

  `true` if the ability can be applied, `false` otherwise

  #### See

  `apply`

  Inherited from ReceivedMoveDamageMultiplierAbAttr.canApply

  - Defined in src/data/ability.ts:223

### canApplyPreDefend

- canApplyPreDefend(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  attacker: default ,
  move: default ,
  cancelled: null | BooleanHolder ,
  args: any[],
  ): boolean

  #### Parameters

  - pokemon: default
  - passive: boolean
  - simulated: boolean
  - attacker: default
  - move: default
  - cancelled: null | BooleanHolder
  - args: any[]

  #### Returns boolean

  Overrides ReceivedMoveDamageMultiplierAbAttr.canApplyPreDefend

  - Defined in src/data/ability.ts:5150

### getCondition

- getCondition(): null | AbAttrCondition

  #### Returns null | AbAttrCondition

  Inherited from ReceivedMoveDamageMultiplierAbAttr.getCondition

  - Defined in src/data/ability.ts:205

### getTriggerMessage

- getTriggerMessage(
  pokemon: default ,
  abilityName: string,
  ..._args: any[],
  ): string

  Gets the message triggered when the Pokémon avoids damage using the form-changing ability.

  #### Parameters

  - pokemon: default

    The Pokémon with the ability.

  - abilityName: string

    The name of the ability.

  - ..._args: any[]

    n/a

  #### Returns string

  The trigger message.

  Overrides ReceivedMoveDamageMultiplierAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:5182